namespace DocuMed.PWA.Models;

public class BaseViewModel
{
    public bool IsProcessing { get; set; } = false;

    public virtual void Initialize()
    {

    }
    public virtual Task InitializeAsync()
    {
        return Task.CompletedTask;
    }
}

public class BaseViewModel<TPageDto>
{
    public bool IsProcessing { get; set; } = false;
    public TPageDto PageDto { get; set; }
    public BaseViewModel()
    {
        PageDto = Activator.CreateInstance<TPageDto>();
    }
    public virtual void Initialize()
    {

    }
    public virtual Task InitializeAsync()
    {
        return Task.CompletedTask;
    }
}